> ## Documentation Index
> Fetch the complete documentation index at: https://api.quizrise.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Quiz Settings API

> Update the configuration settings for a specific quiz



## OpenAPI

````yaml PUT /quiz/{quizId}/settings
openapi: 3.0.1
info:
  license:
    name: MIT
  title: QuizRise API
  version: 1.0.0
  description: API for managing quizzes, questions, and related operations
servers:
  - url: https://app.quizrise.com/api/v1
security:
  - bearerAuth: []
paths:
  /quiz/{quizId}/settings:
    put:
      summary: Update quiz settings
      description: >-
        Updates the settings for a specific quiz. Requires authentication and
        classroom ownership.
      parameters:
        - name: quizId
          in: path
          required: true
          schema:
            type: string
          description: The ID of the quiz
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                emailRequired:
                  type: boolean
                nameRequired:
                  type: boolean
                showCorrectAnswer:
                  type: boolean
                showFinalReport:
                  type: boolean
                shuffleQuestions:
                  type: boolean
                shuffleChoices:
                  type: boolean
                showFlashcards:
                  type: boolean
                showSummary:
                  type: boolean
                bgImageId:
                  type: integer
                logoUrl:
                  type: string
                  nullable: true
                showBranding:
                  type: boolean
      responses:
        '200':
          description: Settings updated successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    enum:
                      - success
                  message:
                    type: string
                    example: Settings updated successfully
                  data:
                    type: object
                    properties:
                      id:
                        type: string
                      quizId:
                        type: string
                      emailRequired:
                        type: boolean
                      nameRequired:
                        type: boolean
                      showCorrectAnswer:
                        type: boolean
                      showFinalReport:
                        type: boolean
                      shuffleQuestions:
                        type: boolean
                      shuffleChoices:
                        type: boolean
                      showFlashcards:
                        type: boolean
                      showSummary:
                        type: boolean
                      bgImageId:
                        type: integer
                      logoUrl:
                        type: string
                        nullable: true
                      showBranding:
                        type: boolean
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    enum:
                      - error
                  message:
                    type: string
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    enum:
                      - error
                  message:
                    type: string
        '403':
          description: Forbidden - Various access restrictions
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    enum:
                      - error
                  message:
                    type: string
                    example: >-
                      Access Denied. You do not have permission to update
                      settings
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    enum:
                      - error
                  message:
                    type: string
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````